Draft Shape2DView/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 9: Line 9:
==Utilización==
==Utilización==


# Select the object you want to extract a 2D view from
# Selecciona el objeto que quieres extraer a una vista 2D
# Rotate the view (or use the view presets shortcuts) so it reflects the direction you want to project the object to. For example, using a Top view will project the object on the XY plane, vertically along the Z axis like on the image above.
# Presiona el botón {{KEY|[[Image:Draft Shape2DView.png|16px]] [[Draft Shape2DView/es|Vista de forma 2D]]}}
# Press the {{KEY|[[Image:Draft Shape2DView.png|16px]] [[Draft Shape2DView]]}} button


==Opciones==
==Opciones==
Line 20: Line 21:
==Propiedades==
==Propiedades==


* {{PropertyData|Projection}}: La dirección de la proyección
* {{PropertyData|Projection}}: The direction of the projection.
* {{PropertyData|Projection Mode}}: El modo de la proyección: sólido, caras individuales o líneas de corte.
* {{PropertyData|Projection Mode}}: The mode of the projection: solid, individual faces, or cutlines.
* {{PropertyData|In Place}}: If this is True, when using Cutlines or Cutfaces mode ([[Arch SectionPlane]] only), the result will appear at the cut plane location instead of the ground plane {{Version|0.17}}
* {{PropertyData|HiddenLines}}: Shows hidden lines or not
* {{PropertyData|Tessellation}}: Tessellate Ellipses and BSplines into line segments
* {{PropertyData|Segment Length}}: The size of segments if Tessellation is turned on


==Programación==
==Programación==

Revision as of 19:52, 8 April 2017

Draft Shape2DView

Ubicación en el Menú
Boceto → Vista de forma 2D
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

This tool places in the document a 2D object which is a flattened view of a selected Shape-based object, projected along the current view direction.

Utilización

  1. Select the object you want to extract a 2D view from
  2. Rotate the view (or use the view presets shortcuts) so it reflects the direction you want to project the object to. For example, using a Top view will project the object on the XY plane, vertically along the Z axis like on the image above.
  3. Press the Draft Shape2DView button

Opciones

  • Si el objeto seleccionado es un Plano de sección de arquitectura, la proyección 2D será del contenido del plano de sección, y el vector de proyección se tomará del plano de sección en lugar de debajo de la propiedad de Projección.
  • El modo de funcionamiento normal es Sólido, que proyecta la forma completa, pero si seleccionas algunas caras del objeto base cuando se crea la vista 2D, también puedes establecer el modo Caras individuales, que proyectará sólo las caras que están seleccionadas.
  • Si el objeto seleccionado es una Sección Plana de arquitectura, está disponible un modo de proyección líneas de corte, que proyecta sólo las aristas que son cortadas por el plano de sección.

Propiedades

  • DatosProjection: The direction of the projection.
  • DatosProjection Mode: The mode of the projection: solid, individual faces, or cutlines.
  • DatosIn Place: If this is True, when using Cutlines or Cutfaces mode (Arch SectionPlane only), the result will appear at the cut plane location instead of the ground plane introduced in version 0.17
  • DatosHiddenLines: Shows hidden lines or not
  • DatosTessellation: Tessellate Ellipses and BSplines into line segments
  • DatosSegment Length: The size of segments if Tessellation is turned on

Programación

La herramienta de vista 2D de forma se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

makeShape2DView (object,[projection],[facenumbers])
  • Añade una forma 2D al documento, la cual es una proyección 2D del objeto dado.
  • Se puede indicar un vector de proyección específico.
  • Devuelve el objeto generado.
  • También puedes proporcionar una lista de números de caras a considerar.

Ejemplo:

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)